> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Avatar

> Create a custom AI avatar



## OpenAPI

````yaml post /project/assets/generate_avatar_from_video/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/generate_avatar_from_video/:
    post:
      tags:
        - project
      description: Generate an AI avatar from video file or url.
      operationId: Generate Avatar from Video
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAvatarFromUrlRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAvatarResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    CreateAvatarFromUrlRequest:
      type: object
      properties:
        video_1:
          type: string
          format: uri
          description: Filename from signed url.
        video_2:
          type: string
          format: uri
          description: Filename from signed url.
      required:
        - video_1
        - video_2
    CreateAvatarResponse:
      type: object
      properties:
        avatar_id:
          type: string
          format: uuid
          description: Unique identifier of the avatar.
      required:
        - avatar_id
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````